#3072 closed defect (fixed)

Declaration of global functions in driver source files

Reported by: Sebastian Huber Owned by: Daniel Hellstrom
Priority: normal Milestone: 5.1
Component: arch/sparc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

There are declarations of global functions in various driver source files, e.g.

c/src/lib/libbsp/sparc/shared/drvmgr/ambapp_bus_grlib.c
c/src/lib/libbsp/sparc/shared/drvmgr/ambapp_bus.c

The declaration should move to a header file or a static function should be used.

Change History (4)

comment:2 Changed on Aug 30, 2017 at 10:36:03 AM by Daniel Hellstrom

Resolution: fixed
Status: assignedclosed

comment:3 Changed on Oct 10, 2017 at 6:53:06 AM by Sebastian Huber

Component: bspsarch/sparc

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.